/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 500px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: modalanimatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: modalanimatetop;
    animation-duration: 0.4s;
}

/* Add Animation */
@-webkit-keyframes modalanimatetop {
    from {top:-300px; opacity:0} 
    to {top:0; opacity:1}
}

@keyframes modalanimatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

/* The Close Button */
.modal-close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.modal-close:hover, .modal-close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    padding: 2px 16px;
    color: #fff;
    background-color: #5c5cdc;
    font-family: Calibri;
}

.modal-body {
    padding: 10px 16px;
    font-family: Calibri;
    font-size: 14px;
}

.modal-footer {
    text-align: right;
    padding: 2px 16px;
    font-size: 14px;
    font-family: Calibri;
}


/*### Smartphones (portrait and landscape)(small)### */
@media screen and (min-width : 0px) and (max-width : 699px) {
    .modal {
        padding-top: 20px; /* Location of the box */
    }

    .modal-content {
        width: 90%;
    }
}


@media screen and (min-width : 768px) and (max-width : 1023px) {
    .modal-body, .modal-footer {
        font-size: 13px;
    }
}

@media screen and (min-width : 0px) and (max-width : 767px) {
    .modal-body, .modal-footer {
        font-size: 12px;
    }
}